OpenCV - Bug # 257: Build failure snow leopard 10.6.3

Status: Done Priority: Low

Author: Roman Brenes Category: python bindings
Created: 2010-04-05 Assignee: James Bowman
Updated: 2010-04-05 Due date:

Affected version:

Difficulty:

Pull request:

Operating System:

HW Platform:

Description: <pre>

2025-03-14

/Library/Python/2.6/site-packages/numpy-1.4.0.dev7542_20091216-py2.6-macosx-10.6-universal.egg/numpy
/core/include/numpy/npy_common.h:79:2: error: #error Must use Python with unicode enabled.
[ 92%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/acascadeandhog.o

[ 92%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/achesscorners.o

[ 92%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/acolor.o
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:13:
token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:16:
‘PyObject? HEAD’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:17:
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:18:
type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:22:
name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:24:
‘PyObiject?’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:24:
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:29:
name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:31:
‘PyObject?’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:31:
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:36:
name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:38:
‘PyObject?’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:38:
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:43:
name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:45:
‘PyObject?’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:45:
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:49:
name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:54:
name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:56:
‘PyObject?’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:56:
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:60:
name a type

error:

error:

error:
error:

error:

error:

error:
error

error:

error:
error:

error:

error:
error:

error:

error:
error:

error:

error:

error:
error:

expected initializer before *’

ISO C++ forbids declaration of

expected ‘;’ before ‘void’
‘Py_ssize_t’ does not name a

‘PyObject? HEAD’ does not

ISO C++ forbids declaration of

expected ‘;’ before ™’ token

: ‘PyObject?_HEAD’ does not

ISO C++ forbids declaration of

expected ‘;’ before ' token
‘PyObject? HEAD’ does not

ISO C++ forbids declaration of

expected ‘;’ before ' token
‘PyObject? HEAD’ does not

ISO C++ forbids declaration of

expected ‘;’ before *’ token
‘PyObject? HEAD’ does not

‘PyObject? HEAD’ does not

ISO C++ forbids declaration of

expected ‘;’ before ' token
‘PyObject? HEAD’ does not
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:62:
‘PyObject?’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:62:
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:67:
name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:69:
‘PyObject?’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:69:
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:73:
name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:75:
‘PyObject?’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:75:
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:79:
name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:81:
‘PyObject?’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:81:
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:85:
name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:93:
type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:96:
name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:101
name a type

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:106:

name a type

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:111:

name a type

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:115:

in this scope

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:115:

scope

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:116:

in this scope

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:116:

scope

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:117:

in this scope

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:117:

scope

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:118:

in this scope

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:118:

scope

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:118:

before *’ token

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:118:

scope

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:118:

before ‘const’

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:118:
error:
. error

error:
error:

error:

error:
error:

error:

error:

error:

error:

error:

error:

error:

ISO C++ forbids declaration of

expected ‘;’ before ™’ token
‘PyObject? HEAD’ does not

ISO C++ forbids declaration of

expected ‘;’ before *’ token
‘PyObject? HEAD’ does not

ISO C++ forbids declaration of

expected ‘;’ before ' token
‘PyObject? HEAD’ does not

ISO C++ forbids declaration of

T3

expected ‘;’ before *’ token
‘PyObject? HEAD’ does not

‘PyObject?’ does not name a

‘PyObject? HEAD’ does not

: ‘PyObject? _HEAD’ does not

‘PyObject? HEAD’ does not

‘PyObject? HEAD’ does not

‘PyObject?’ was not declared

‘0’ was not declared in this

‘PyObject?” was not declared

‘0’ was not declared in this

‘PyObject?’ was not declared

‘0’ was not declared in this

‘PyObject?” was not declared

‘0’ was not declared in this

expected primary-expression

‘dst’ was not declared in this

expected primary-expression

initializer expression list
treated as compound expression

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:119:

in this scope

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:119:

scope

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:119:

before *’ token

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:119:

scope

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:119:

before ‘const’

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:119:

treated as compound expression

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:120:

in this scope

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:120:

scope

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:120:

ok

before *’ token

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:120:

scope

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:120:

before ‘const’

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:120:

treated as compound expression

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:121:

in this scope

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:121:

scope

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:121:

before *’ token

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:121:

scope

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:121:

before ‘const’

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:121:

treated as compound expression

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:122:

token

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:123:

token

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:124:

token

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:125:

token

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:145:

token

error:

error:

error:

error:

error:

error:

error:

error:

error:

error:

error:

error:

error:

error:

error:

error:

error:

error:

error:

error:

error:

error:

error:

‘PyObject?’ was not declared

‘0’ was not declared in this

expected primary-expression

‘dst’ was not declared in this

expected primary-expression

initializer expression list

‘PyObject?’ was not declared

‘0’ was not declared in this

expected primary-expression

‘dst’ was not declared in this

expected primary-expression

initializer expression list

‘PyObject?” was not declared

‘0’ was not declared in this

expected primary-expression

‘dst’ was not declared in this

expected primary-expression

initializer expression list

expected initializer before *’

expected initializer before

expected initializer before *’

expected initializer before ™’

expected initializer before ™’

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp: In function ‘void

translate_error_to_exception()’:

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:150: error: ‘opencv_error’ was not

declared in this scope

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:150: error: ‘PyErr?_SetString’ was not

declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp: In function ‘int failmsg(const char*, ...)":
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:180: error: ‘PyExc?_TypeError’ was not
declared in this scope

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:180: error: ‘PyErr?_SetString’ was not
declared in this scope

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp: At global scope:
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:188: error: expected initializer before ™’
token

[ 92%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/acomposeRT.o
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:115: warning: ‘is_iplimage’ defined but
not used

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:116: warning: ‘is_cvmat’ defined but not
used

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:117: warning: ‘is_cvmatnd’ defined but
not used

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:118: warning: ‘convert_to_CvArr defined
but not used

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:119: warning: ‘convert_to_Iplimage’
defined but not used

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:120: warning: ‘convert_to_CvMat’ defineq
but not used

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:121: warning: ‘convert_to_CvMatND’
defined but not used

/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:148: warning: ‘void
translate_error_to_exception()’ defined but not used
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:171: warning: ‘int failmsg(const char*,
...)” defined but not used

maker2: *** [interfaces/python/CMakeFiles/cvpy.dir/cv.o] Error 1

maker1: *** [interfaces/python/CMakeFiles/cvpy.dir/all] Error 2

maker1: *** Waiting for unfinished jobs....

[ 92%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/acondens.o

[ 93%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/acontourmoments.o

[ 93%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/acontours.o

[ 93%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/acontoursmatch.o

[ 93%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/aconvhull.o

[ 93%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/acornerssubpix.o

[ 93%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/acreatecontourtree.o

[ 93%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/adistancetransform.o

[ 93%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/adrawing.o

[ 94%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/adrawing_regress.o

[ 94%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/aeigenobjects.o

[ 94%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/aemd.o

[ 94%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/aestimaterigid.o

[ 94%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/affine3d_estimator.o

[ 94%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/afilter.o

[ 94%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/afloodfill.o

[ 94%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/afundam.o

[ 95%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/ahistograms.o

[ 95%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/ahmmobs.o

[ 95%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/ahoughtransform.o

[ 95%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/aimage.o

[ 95%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/aimgwarp.o

[ 95%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/akalman.o
[ 95%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/akmeans.o

[ 95%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/amatchcontourtrees.o
[ 96%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/amoments.o

[ 96%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/amotiontemplates.o

[ 96%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/amotseg.o

[ 96%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/amser.o

[ 96%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/anearestneighbors.o
[ 96%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/aoptflowhs.o

[ 96%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/aoptflowlk.o

[ 96%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/aoptflowpyrlk.o

[ 97%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/aposit.o

[ 97%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/apyrsegmentation.o

[ 97%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/areprojectimageTo3D.o
[ 97%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/asnakes.o

[ 97%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/astereocorrespondencegc.o
[ 97%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/astereomatching.o

[ 97%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/asubdivisions.o

[ 97%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/atemplmatch.o

[ 98%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/athresh.o

[ 98%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/aundistort.o

[ 98%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/bcameracalibration.o
[ 98%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/bchesscorners.o

[ 98%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/bundistort.o

[ 98%)] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/cvchessboardgenerator.o
[ 98%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/cvtest.o

[ 98%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/detectors_test.o

[ 99%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/fast.o

[ 99%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/grabcut.o

[ 99%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/highguitest.o

[ 99%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/highguitest_guionly.o
[ 99%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/inpaint.o

[ 99%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/optflow.o

[ 99%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/tchesscorners.o

[ 99%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/tsysa.o

[100%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/watershed.o

Linking CXX executable ../../bin/cvtest

[100%] Built target cvtest

make: *** [all] Error 2

</pre>

Associated revisions

2012-12-24 04:38 pm - Andrey Kamaev
Merge pull request #257 from AnnaKogan8:perf-tests-timing-script

History

2010-04-05 06:10 am - Ryan Lei
- Status changed from Open to Done

- (deleted custom field) set to worksforme

I've read that you do need the python interface, but it works for me: Mac OS X 10.6.3

2025-03-14
<pre>

Because my cmake configuration says:

<pre>

-- Interfaces:

-- Old Python: 0

--  Python: ON

--  Python interpreter: /opt/local/bin/python2.6
-- Python numpy: 0

</pre>

The Python interpreter goes to the one installed by Macports, not the Apple-built-in python.

The Macports one is newer (2.6.5, Apr, 2010), and the built-in one is older (2.6.1, Feb, 2010):

<pre>

$ /opt/local/bin/python2.6

Python 2.6.5 (r265:79063, Apr 52010, 01:51:43)
[GCC 4.2.1 (Apple Inc. build 5646) (dot 1)] on darwin

$ /usr/bin/python
Python 2.6.1 (r261:67515, Feb 11 2010, 00:51:29)
[GCC 4.2.1 (Apple Inc. build 5646)] on darwin

</pre>

2010-04-05 10:51 pm - anonymous -

romanab, can you confirm? What does the output of cmake configuration say? Thanks.
